<div class="page" data-ng-controller="GuestsController as vm">
    <div ng-hide="vm.isCustomer()" class="col-lg-1 col-md-2 col-sm-2 col-xs-2 pull-left">
        <h2 class="section-header" style="margin: 0;"> <span data-translate="RSVP"></span> </h2>
    </div>
    <md-button aria-label="Ajuda RSVP"
               class="md-button tablet-col-hide-md"
               type="button"
               ng-transclude=""
               style="background: #ffffff;"
               ng-hide="vm.isCustomer()"
               docs-scroll-class="scrolling"
               ng-click="vm.showTooltip()">
        <i class="fa fa-question" style="color: rgba(85,85,85,0.82);font-size: x-large; margin-top: 5px;"></i>
    </md-button>

    <div class="col-md-offset-1 col-lg-offset-2 col-md-5 col-sm-12 text-center" ng-hide="!vm.isCustomer()">
        <h4 style="font-weight: 400; margin-top: 10px;"> Total de Convidados: {{ vm.eventInfo.guestConfirmedTotal}}/{{vm.eventInfo.qtdGuests }} </h4>
        <div class="divider"></div>
        <div style="display: inline-block;">
            <p style="font-weight: 300;">
                Adultos:    {{vm.eventInfo.adultsConfirmed }}/{{vm.eventInfo.adultsTotal}}
                - Crianças: {{vm.eventInfo.kidsConfirmed   }}/{{vm.eventInfo.kidsTotal}}
                - Free:     {{vm.eventInfo.freeConfirmed   }}/{{vm.eventInfo.freeTotal}}
            </p>
        </div>
    </div>

    <style>
        /* Specify styling for tooltip contents */
        .tooltip.customClass {
            font-weight: bold;
        }
    </style>

    <div class="col-xs-6 pull-right" style="padding: 1.5rem 0;">
        <div class="col-md-6 pull-right">
            <button ui-wave
                    ng-disabled="!addUpdateIsCollapsed || !confirmIsCollapsed"
                    class="btn  btn-primary pull-right" ng-click="vm.guestAdd()"
                    tooltip-class="customClass" uib-tooltip="Incluir Convidado no Evento"
                    tooltip-append-to-body="true"
                    tooltip-placement="bottom"
                    tooltip-class="customClass">
                <i class="zmdi zmdi-account-add"></i>
                <span data-translate="CREATE_GUEST"></span>
            </button>
        </div>
        <div class="col-md-6 pull-right">
            <button class="btn  pull-right"
                    style="background-color: rgb(255,255,255);"
                    ng-hide="vm.isCustomer()"
                    ng-click="vm.customerInvite()" style="margin-right: 5px;"
                    tooltip-class="customClass" uib-tooltip="Enviar e-mail de convite para Cliente participar do RSVP"
                    tooltip-append-to-body="true"
                    tooltip-placement="bottom"
                    tooltip-class="customClass">
                <i class="fa fa-key"></i>
                <span data-translate="INVITE_CUSTOMER"></span>
            </button>
        </div>
    </div>

    <div class="divider divider-md"></div>

    <div id="addUpdateGuest" class="row col-md-12" uib-collapse="addUpdateIsCollapsed" style="margin-bottom: 2rem;">
        <div ng-controller="EditGuestController as vm">
            <div class="col-lg-8 col-lg-offset-2" ng-hide="">
                <form name="vm.formEditGuest" class="form-horizontal form-validation" data-ng-submit="vm.submitForm()">

                    <div class="form-group">
                        <div class="col-sm-12 text-center row">
                            <h4>{{ vm.newGuestMessage }}</h4>
                        </div>
                        <div class="col-sm-6">
                            <label for="guestName"> Nome (exatamente como no Convite) </label>
                            <input  type="text"
                                    id="guestName"
                                    class="form-control"
                                    ng-model="vm.editGuest.name"
                                    required>
                        </div>
                        <div class="col-sm-2">
                            <label for="qtyAdults"> Adultos </label>
                            <input  type="number"
                                    id="qtyAdults"
                                    class="form-control"
                                    placeholder="0"
                                    ng-model="vm.editGuest.qtyAdults">
                        </div>
                        <div class="col-sm-2">
                            <label for="qtyKids"> Crianças </label>
                            <input  type="number"
                                    id="qtyKids"
                                    class="form-control"
                                    placeholder="0"
                                    ng-model="vm.editGuest.qtyKids">
                        </div>
                        <div class="col-sm-2">
                            <label for="qtyFree"> Free </label>
                            <input  type="number"
                                    id="qtyFree"
                                    class="form-control"
                                    placeholder="0"
                                    ng-model="vm.editGuest.qtyFree">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-9">
                            <label for="notes"> Observações </label>
                            <input ng-model="vm.editGuest.notes"
                                   type="text"
                                   id="notes"
                                   class="form-control">
                        </div>
                        <div class="col-sm-3">
                            <label for="tableNumber"> Mesa </label>
                            <input type="string"
                                   id="tableNumber"
                                   class="form-control"
                                   placeholder="Nº da mesa"
                                   ng-model="vm.editGuest.tableNumber">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-8">
                            <label for="email"> Email </label>
                            <input type="email"
                                   id="email"
                                   class="form-control"
                                   placeholder="e-mail"
                                   ng-model="vm.editGuest.email">
                        </div>
                        <div class="col-sm-4">
                            <label for="phone"> Telefone </label>
                            <input type="text"
                                   id="phone"
                                   class="form-control"
                                   placeholder="(  )    -    "
                                   ng-model="vm.editGuest.phone"
                                   data-min="10"
                                   data-max="14"
                                   ui-br-phone-number>
                        </div>
                    </div>
                    <button type="submit"
                            ui-wave
                            class="btn btn-primary btn-block "
                            data-ng-disabled="!vm.canSubmit()"> <span data-translate="ADD"></span> </button>
                    <div class="divider"></div>
                    <button type="reset"
                            ui-wave
                            class="btn  btn-danger pull-right"
                            ng-click="vm.cancel()">
                        <span data-translate="CANCEL"></span></button>
                </form>
            </div>
        </div>
    </div>

    <div id="confirmGuest" class="row col-md-12" uib-collapse="confirmIsCollapsed"  style="margin-bottom: 2rem;">
        <div>
            <div ng-controller="EditGuestController as vm">
                <div class="col-lg-8 col-lg-offset-2" ng-hide="">
                    <form name="vm.formEditGuest" class="form-horizontal form-validation" data-ng-submit="vm.submitForm()">
                        <div class="form-group">
                            <div class="col-sm-4">
                                <label> Nome no Convite </label>
                            </div>
                            <div class="col-sm-8">
                                <input  type="text"
                                        readonly
                                        class="form-control"
                                        ng-model="vm.editGuest.name"
                                        required>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4">
                                <label> Adultos Confirmados </label>
                            </div>
                            <div class="col-sm-2">
                                <input  type="number"
                                        id="qtyAdultsConfirmed"
                                        class="form-control"
                                        ng-disabled="vm.editGuest.qtyAdults === 0"
                                        ng-model="vm.editGuest.qtyAdultsConfirmed">
                            </div>
                            <div class="col-sm-3">
                                <p> de {{ vm.editGuest.qtyAdults }} Convidados. </p>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4">
                                <label> Crianças Confirmados </label>
                            </div>
                            <div class="col-sm-2">
                                <input  type="number"
                                        class="form-control"
                                        ng-disabled="vm.editGuest.qtyKids === 0"
                                        ng-model="vm.editGuest.qtyKidsConfirmed">
                            </div>
                            <div class="col-sm-3">
                                <p> de {{ vm.editGuest.qtyKids }} Convidados. </p>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4">
                                <label> Free Confirmados </label>
                            </div>
                            <div class="col-sm-2">
                                <input  type="number"
                                        class="form-control"
                                        ng-disabled="vm.editGuest.qtyFree === 0"
                                        ng-model="vm.editGuest.qtyFreeConfirmed">
                            </div>
                            <div class="col-sm-3">
                                <p> de {{ vm.editGuest.qtyFree }} Convidados. </p>
                            </div>
                        </div>
                        <button type="submit"
                                ui-wave
                                class="btn btn-primary btn-block "
                                data-ng-disabled="!vm.canSubmit()"> <span data-translate="CONFIRM"></span> </button>
                        <div class="divider"></div>
                        <button type="reset"
                                ui-wave class="btn  btn-danger pull-right"
                                ng-click="vm.cancel()">
                            <span data-translate="CANCEL"></span></button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="row" ng-init="vm.filter = 'pending'">
        <md-radio-group ng-model="vm.filter" layout="row" class="pull-left" style="padding: 0.5rem 2.5rem;">
            <md-radio-button value="pending"   class="md-primary" > Pendentes </md-radio-button>
            <md-radio-button value="confirmed"> Respondidos </md-radio-button>
        </md-radio-group>
    </div>

    <div class="divider"></div>

    <div class="col-md-12" style="margin-top: 3rem; padding: 0;">
        <table class="table table-responsive no-margin table-hover">
            <thead>
                <tr>
                    <th> Nome </th>
                    <th> Adultos </th>
                    <th> Crianças </th>
                    <th> Gratuito </th>
                    <th class="tablet-col-hide-md"> Email </th>
                    <th class="tablet-col-hide-md"> Telefone </th>
                    <th> </th>
                </tr>
            </thead>
            <tbody ng-repeat="guest in vm.eventInfo.guests | filter: vm.filterGuests" id="{{ guest._id }}">
                <tr class="tablet-row-show">
                    <td colspan="5"> {{ guest.name }} </td>
                </tr>
                <tr>
                    <td class="tablet-col-hide-sm"> {{ guest.name }} </td>
                    <td> <span style="font-size: 3rem;"> {{ guest.qtyAdultsConfirmed }} </span> / {{ guest.qtyAdults }} </td>
                    <td> <span style="font-size: 3rem;"> {{ guest.qtyKidsConfirmed }} </span>   / {{ guest.qtyKids }} </td>
                    <td> <span style="font-size: 3rem;"> {{ guest.qtyFreeConfirmed }} </span>   / {{ guest.qtyFree }} </td>
                    <td class="tablet-col-hide-sm">
                        <md-button class="md-icon-button edit"
                                   aria-label="Enviar e-mail."
                                   tooltip-placement="right"
                                   tooltip-class="customClass"
                                   uib-tooltip="Enviar e-mail para Convidado: {{ guest.email }}"
                                   tooltip-append-to-body="true"
                                   tooltip-class="customClass"
                                   style="text-align: center"
                                   ng-click="vm.sendEmail(guest)">
                                        <span>
                                            <i ng-if="!guest.email" style="color: #d8d8d8" class="fa fa-envelope"></i>
                                            <i ng-if="guest.email" class="fa fa-envelope"></i>
                                        </span>
                        </md-button>
                    </td>
                    <td class="tablet-col-hide-sm"
                        tooltip-placement="right"
                        tooltip-class="customClass"
                        uib-tooltip="Ligar para Convidado: {{ guest.phone | brPhoneNumber }}"
                        tooltip-append-to-body="true"
                        tooltip-class="customClass"
                        style="text-align: center">
                        <a href="tel:{{ guest.phone  }}">
                            <i ng-if="!guest.phone" style="color: #d8d8d8" class="zmdi zmdi-hc-2x zmdi-phone"></i>
                            <i ng-if="guest.phone" class="zmdi zmdi-hc-2x zmdi-phone"></i>
                        </a>
                    </td>
                    <td>
                        <section class="pull-right"  layout="row pull-right" layout-align="center">
                            <!-- non-mobile -->
                            <md-button class="mobile-hide"
                                       ng-click="vm.guestConfirm(guest)"
                                       ng-disabled="!addUpdateIsCollapsed || !confirmIsCollapsed || (guest.qtyAdults === 0 && guest.qtyKids === 0 && guest.qtyFree === 0)">
                                <span> Confirmar </span>
                                <span class="non-mobile-show"><i class="fa fa-check"></i></span>
                            </md-button>
                            <!-- mobile -->
                            <md-button class="md-icon-button edit non-mobile-show"
                                       ng-click="vm.guestConfirm(guest)"
                                       ng-disabled="!addUpdateIsCollapsed || !confirmIsCollapsed || (guest.qtyAdults === 0 && guest.qtyKids === 0 && guest.qtyFree === 0)"
                                       tooltip-class="customClass" uib-tooltip="Confirmar"
                                       tooltip-append-to-body="true"
                                       tooltip-placement="bottom"
                                       tooltip-class="customClass">
                                <span ><i class="fa fa-check"></i></span>
                            </md-button>
                            <md-button class="md-icon-button edit"
                                       aria-label="Editar convite."
                                       ng-click="vm.guestEdit(guest)"
                                       ng-disabled="!addUpdateIsCollapsed || !confirmIsCollapsed">
                                <span><i class="zmdi zmdi-edit zmdi-hc-lg"></i></span>
                            </md-button>
                            <md-button class="md-icon-button edit"
                                       aria-label="Apagar convite."
                                       ng-click="vm.guestDelete(guest)"
                                       ng-disabled="!addUpdateIsCollapsed || !confirmIsCollapsed">
                                <span><i class="zmdi zmdi-delete zmdi-hc-lg"></i></span>
                            </md-button>
                        </section>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>